import axios from "../../../config/axios";

export const getSupportPlans = async () => {
  const { data } = await axios.get("/support-plans");
  return data;
};

export const buySupportPlan = async (planId: string) => {
  const { data } = await axios.post(`/support-plans/${planId}/subscribe`);
  return data;
};

export const getUserSupportPlan = async () => {
  const { data } = await axios.get(`/support-plans/user`);
  return data;
};

export const upgradeSupportPlan = async (id: string) => {
  const { data } = await axios.post(`/support-plans/${id}/upgrade`);
  return data;
};
